__init__.py File Reference

Go to the source code of this file.

## Namespaces

namespace | mbed_host_tests
namespace | mbed_host_tests.host_tests_plugins

## Functions

| mbed_host_tests.host_tests_plugins.call_plugin (type, capability, *args, **kwargs)
| Functional interface for host test plugin registry.
| mbed_host_tests.host_tests_plugins.get_plugin_caps (type)
| Get list of all capabilities for plugin family with the same type.
| mbed_host_tests.host_tests_plugins.get_plugin_info ()
| Return plugins information.
| mbed_host_tests.host_tests_plugins.print_plugin_info ()
| Prints plugins' information in user friendly way.

## Variables

| mbed_host_tests.host_tests_plugins.HOST_TEST_PLUGIN_REGISTRY = host_test_registry.HostTestRegistry()